{% extends 'base/base.html' %}

{% block content %}
    <table class="table table-bordered">
        <thead>
            <tr>
                <td>#</td>
                <td>Nombre</td>
                <td>Sexo</td>
                <td>Edad</td>
                <td>Fecha de rescate</td>
                <td>Adoptante</td>
                <td>Acciones</td>
            </tr>
        </thead>

        <tbody>
            {% if object_list %}
            {% for mascota in object_list %}
            <tr>
                <td>{{ mascota.id }}</td>
                <td>{{ mascota.nombre }}</td>
                <td>{{ mascota.sexo }}</td>
                <td>{{ mascota.edad_aproximada}}</td>
                <td>{{ mascota.fecha_rescate }}</td>
                <td>{{ mascota.persona.nombre }} {{ mascota.persona.apellidos }}</td>
                <td>
                    <a class="btn-primary btn" href="{% url 'mascota:mascota_editar' mascota.id %}">Editar</a>
                    <a class="btn-danger btn" href="{% url 'mascota:mascota_eliminar' mascota.id %}">Eliminar</a>
                </td>
            </tr>

        {% endfor %}
        {% else %}
        <h1>No hay registros de mascotas</h1>
        {% endif %}

        </tbody>
    </table>
{% endblock %}